`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 05.09.2019 16:11:16
// Design Name: 
// Module Name: sma
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////

module sma(
   input rst,
   input clk_0_in_p,
   input clk_0_in_n,
   input clk_1_in_p,
   input clk_1_in_n,
   input clk_2_in_p,
   input clk_2_in_n,
   output [7 : 0] LED_0,
   output [7 : 0] LED_1,
   output [7 : 0] LED_2
 );
 
 wire clk_0_out;
 wire clk_1_out;
 wire clk_2_out;
 
 IBUFDS_GTE2 refclk_ibuf_0 (.O(clk_0_out), .ODIV2(), .I(clk_0_in_p), .CEB(1'b0), .IB(clk_0_in_n));
  
 IBUFDS_GTE2 refclk_ibuf_1 (.O(clk_1_out), .ODIV2(), .I(clk_1_in_p), .CEB(1'b0), .IB(clk_1_in_n));   
  
 IBUFDS_GTE2 refclk_ibuf_2 (.O(clk_2_out), .ODIV2(), .I(clk_2_in_p), .CEB(1'b0), .IB(clk_2_in_n));
  
  reg [31 :0] counter_0;
  reg [31 :0] counter_1;
  reg [31 :0] counter_2;
  
 
  always @(posedge clk_0_out) begin
     if(rst == 0) begin
         counter_0 <= 0;
     end else begin
         counter_0 <= counter_0 + 1;
     end
  end
  
  assign LED_0 = ~counter_0[31:24];
  
  always @(posedge clk_1_out) begin
      if(rst == 0) begin
          counter_1 <= 0;
      end else begin
          counter_1 <= counter_1 + 1;
       end
  end
  
  assign LED_1 = ~counter_1[31:24];

    
  always @(posedge clk_2_out) begin
      if(rst == 0) begin
          counter_2 <= 0;
      end else begin
          counter_2 <= counter_2 + 1;
      end
  end
  
  assign LED_2 = ~counter_2[31:24];
  
endmodule
